classification
Title: cStringIO.StringIO aborted when more then INT_MAX bytes written
Type: crash Stage: resolved
Components: IO Versions: Python 2.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: cStringIO not 64-bit safe
View: 7358
Assigned To: Nosy List: pitrou, serhiy.storchaka
Priority: high Keywords:

Created on 2013-01-27 20:33 by serhiy.storchaka, last changed 2013-01-28 09:03 by serhiy.storchaka. This issue is now closed.

Messages (3)
msg180790 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-01-27 20:33
Reproduced on x8 snakebite.

% ./python.exe 
Python 2.7.3+ (2.7:38a10d0778d2+, Jan 27 2013, 20:05:15) 
[GCC 4.2.1 (Based on Apple Inc. build 5658) (LLVM build 2336.11.00)] on darwin
Type "help", "copyright", "credits" or "license" for more information.
Could not open PYTHONSTARTUP
IOError: [Errno 2] No such file or directory: '/Users/cpython/.pythonrc'
>>> from cStringIO import StringIO
[38179 refs]
>>> f = StringIO()
[38181 refs]
>>> s = 'x' * 2**30
[38183 refs]
>>> f.write(s)
[38183 refs]
>>> f.write(s)
Assertion failed: (oself->pos + l < INT_MAX), function O_cwrite, file /Users/cpython/hg/storchaka/Modules/cStringIO.c, line 421.
zsh: abort      ./python.exe
msg180791 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-01-27 20:48
Isn't is the same as issue7358?
msg180840 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-01-28 09:03
Indeed.
History
Date User Action Args
2013-01-28 09:04:30serhiy.storchakaunlinkissue13555 dependencies
2013-01-28 09:03:45serhiy.storchakasetstatus: open -> closed
superseder: cStringIO not 64-bit safe
messages: + msg180840

resolution: duplicate
stage: needs patch -> resolved
2013-01-27 20:49:24serhiy.storchakalinkissue13555 dependencies
2013-01-27 20:48:27pitrousetnosy: + pitrou
messages: + msg180791
2013-01-27 20:33:45serhiy.storchakacreate